package ru.dbotthepony.kstarbound.server

import ru.dbotthepony.kstarbound.json.builder.JsonBuilder
import java.util.UUID

@JsonBuilder
class ServerSettings {
	var maxPlayers = 8
	var listenPort = 21025

	fun from(other: ServerSettings) {
		maxPlayers = other.maxPlayers
		listenPort = other.listenPort
	}
}
