package ru.dbotthepony.kstarbound.server.world

import ru.dbotthepony.kstarbound.world.ChunkPos
import ru.dbotthepony.kstarbound.world.api.AbstractCell
import ru.dbotthepony.kstarbound.world.entities.WorldObject
import ru.dbotthepony.kvector.arrays.Object2DArray

interface IChunkSaver {
	fun saveCells(pos: ChunkPos, data: Object2DArray<out AbstractCell>)
	fun saveObjects(pos: ChunkPos, data: Collection<WorldObject>)
}
